MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::GraphicSegment Class Reference

represents a graphic segment in an existing NITF file More...

`#include <GraphicSegment.h>`

Inheritance diagram for Nitf::GraphicSegment:
[legend]
Collaboration diagram for Nitf::GraphicSegment:
[legend]

## Public Member Functions
| GraphicSegment (NITFReaderManager &, LTIOStreamInf &, int segmentNumber, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength)
| ~GraphicSegment ()
LT_STATUS | initialize ()
| initializer More...
lt_uint8 * | getGraphicData (lt_uint32 &graphicDataLen) const
| returns the graphic segment contents More...
LT_STATUS | addMetadataLocal (LTIMetadataDatabase &db) const
Public Member Functions inherited from Nitf::Segment
| Segment (NITFReaderManager &, LTIOStreamInf &, lt_int64 headerOffset, lt_int64 headerLength, lt_int64 dataOffset, lt_int64 dataLength, const char *code, int segmentNumber, bool doUserSubheader, bool doExtendedSubheader)
virtual | ~Segment ()
int | getSegmentNumber () const
const char * | getSegmentID ()
lt_int64 | getHeaderOffset () const
lt_int64 | getHeaderLength () const
lt_int64 | getDataOffset () const
lt_int64 | getDataLength () const
const SecurityBlock * | getSecurityBlock () const
const SecurityMetadata * | getSecurityMetadata () const
| returns the security information about the segment More...
virtual LT_STATUS | addMetadata (LTIMetadataDatabase &) const
const char * | getMetadataTagPrefix () const
int | getNumTREs () const
| returns the number of TREs in this segment More...
const TREData * | getTRE (int index) const
| TRE accessor. More...

## Additional Inherited Members
Protected Attributes inherited from Nitf::Segment
MetadataHelper * | m_mdHelper
FieldReader * | m_field
LTIOStreamInf & | m_stream
const lt_int64 | m_headerOffset
lt_int64 | m_headerLength
const lt_int64 | m_dataOffset
const lt_int64 | m_dataLength
NITFReaderManager & | m_manager
Version | m_version
SecurityBlock * | m_securityBlock
const int | m_segmentNumber
const char * | m_segmentID

## Detailed Description

This class represents a graphic segment in an NITF file. To access the graphic segment of a file, retrieve the GraphicSegment from the NITFReaderManager class.

Graphics segments are not fully supported: no rendering mechanism is provided, only the raw bytes of the segment can be obtained.

Definition at line 37 of file GraphicSegment.h.

## Constructor & Destructor Documentation

Nitf::GraphicSegment::GraphicSegment | ( | NITFReaderManager & | ,
|  | LTIOStreamInf & | ,
|  | int | segmentNumber,
|  | lt_int64 | headerOffset,
|  | lt_int64 | headerLength,
|  | lt_int64 | dataOffset,
|  | lt_int64 | dataLength
| ) |  |

Nitf::GraphicSegment::~GraphicSegment | ( | ) |  |

## Member Function Documentation

LT_STATUS Nitf::GraphicSegment::addMetadataLocal | ( | LTIMetadataDatabase & | db) |  | const
| virtual

Implements Nitf::Segment.

lt_uint8* Nitf::GraphicSegment::getGraphicData | ( | lt_uint32 & | graphicDataLen) |  | const

This function returns the raw, uninterpreted bytes stored as the payload of the graphics segment.

Parameters

  graphicDataLen | [out] returns the length of the data array

Returns
  the data, as a byte array

LT_STATUS Nitf::GraphicSegment::initialize | ( | ) |  |
| virtual

This function must be called immediately after the constructor.

Returns
  success or failure

Reimplemented from Nitf::Segment.

The documentation for this class was generated from the following file:

- GraphicSegment.h

LizardTech